refresh patches before applying upcoming fix
[openwrt/svn-archive/archive.git] / ipv6 / send / patches / 004-always_link_with_ncurses.patch
1 We should always link with libncurses. This is not noticeable
2 when building the debian packages because we install libncurses5
3 runtime library as a dependency.
4
5 --- a/cgatool/Makefile
6 +++ b/cgatool/Makefile
7 @@ -17,7 +17,7 @@ LDLIBS= $(DEPLIBS)
8 LDFLAGS= -L../libs/.libs
9 endif
10
11 -LDLIBS += -lcrypto
12 +LDLIBS += -lcrypto -lncurses
13
14 ifeq ($(USE_THREADS),y)
15 LDLIBS += -lpthread
16 --- a/sendd/Makefile
17 +++ b/sendd/Makefile
18 @@ -28,7 +28,7 @@ LDLIBS= $(DEPLIBS)
19 LDFLAGS= -L../libs/.libs
20 endif
21
22 -LDLIBS += -lcrypto
23 +LDLIBS += -lcrypto -lncurses
24 LDLIBS += $(OSLIBS)
25
26 ifeq ($(USE_THREADS),y)